gnutls_pubkey_get_verify_algorithm(3)

NAME
gnutls_pubkey_get_verify_algorithm - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_verify_algorithm(gnutls_pubkey_t key, const gnutls_datum_t * signature, gnutls_digest_algorithm_t * hash);

ARGUMENTS

gnutls_pubkey_t key
    Holds the certificate

const gnutls_datum_t * signature
    contains the signature

gnutls_digest_algorithm_t * hash
    The result of the call with the hash algorithm used for signature

DESCRIPTION
This function will read the certifcate and the signed data to determine the hash algorithm used to generate the signature.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/